package com.hotent.portal.model;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.hotent.base.entity.AutoFillModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 日程管理
 *
 * @company 广州宏天软件股份有限公司
 * @author 超级管理员
 * @email zhangxw@jee-soft.cn
 * @since 2021-07-14
 */
@ApiModel(value="PortalAgendaDay对象", description="日程管理")
public class PortalAgendaDay extends AutoFillModel<PortalAgendaDay> {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "ID_", type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty(value = "创建人")
    @TableField("CREATOR_")
    private String creator;
    
    @ApiModelProperty(value = "日程标题")
    @TableField("SUBJECT_")
    private String subject;

    @ApiModelProperty(value = "开始时间")
    @TableField("START_TIME_")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "结束时间")
    @TableField("END_TIME_")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "日程内容")
    @TableField("CONTENT_")
    private String content;

    @ApiModelProperty(value = "日程共享人id")
    @TableField("SHARE_ID_")
    private String shareId;

    @ApiModelProperty(value = "日程共享人姓名")
    @TableField("SHARE_NAME_")
    private String shareName;

    @ApiModelProperty(value = "创建人id")
    @TableField("CREATE_BY_")
    private String createBy;

    @ApiModelProperty(value = "更新人id")
    @TableField("UPDATE_BY_")
    private String updateBy;

    @ApiModelProperty(value = "创建时间")
    @TableField("CREATE_TIME_")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("UPDATE_TIME_")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建人所属部门id")
    @TableField("CREATE_ORG_ID_")
    private String createOrgId;

    @ApiModelProperty(value = "租户id")
    @TableField("TENANT_ID_")
    private String tenantId;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public LocalDateTime getStartTime() {
        return startTime;
    }

    public void setStartTime(LocalDateTime startTime) {
        this.startTime = startTime;
    }
    public LocalDateTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
    public String getShareId() {
        return shareId;
    }

    public void setShareId(String shareId) {
        this.shareId = shareId;
    }
    public String getShareName() {
        return shareName;
    }

    public void setShareName(String shareName) {
        this.shareName = shareName;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getCreateOrgId() {
        return createOrgId;
    }

    public void setCreateOrgId(String createOrgId) {
        this.createOrgId = createOrgId;
    }
    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "PortalAgendaDay{" +
            "id=" + id +
            ", creator=" + creator +
            ", subject=" + subject +
            ", startTime=" + startTime +
            ", endTime=" + endTime +
            ", content=" + content +
            ", shareId=" + shareId +
            ", shareName=" + shareName +
            ", createBy=" + createBy +
            ", updateBy=" + updateBy +
            ", createTime=" + createTime +
            ", updateTime=" + updateTime +
            ", createOrgId=" + createOrgId +
            ", tenantId=" + tenantId +
        "}";
    }
}
